function s=simprl(f,a,b,M)

%Input    - f is the integrand input as a string 'f'
%         - a and b are upper and lower limits of integration
%         - M is the number of subintervals
%Output   - s is the simpson rule sum

% NUMERICAL METHODS: MATLAB Programs
%(c) 1999 by John H. Mathews and Kurtis D. Fink
%To accompany the textbook:
%NUMERICAL METHODS Using MATLAB,
%by John H. Mathews and Kurtis D. Fink
%ISBN 0-13-270042-5, (c) 1999
%PRENTICE HALL, INC.
%Upper Saddle River, NJ 07458

h=(b-a)/(2*M);
s1=0;
s2=0;

for k=1:M
   x=a+h*(2*k-1);
   s1=s1+feval(f,x);
end
for k=1:(M-1)
   x=a+h*2*k;
   s2=s2+feval(f,x);
end

s=h*(feval(f,a)+feval(f,b)+4*s1+2*s2)/3;

