function X=trisys (A,D,C,B)

%Input - A is the sub diagonal of the coefficient matrix
%      - D is the main diagonal of the coefficient matrix
%      - C is the super diagonal of the coefficient matrix
%      - B is the constant vector of the linear system
%Output - X is the solution vector

% NUMERICAL METHODS: MATLAB Programs
%(c) 1999 by John H. Mathews and Kurtis D. Fink
%To accompany the textbook:
%NUMERICAL METHODS Using MATLAB,
%by John H. Mathews and Kurtis D. Fink
%ISBN 0-13-270042-5, (c) 1999
%PRENTICE HALL, INC.
%Upper Saddle River, NJ 07458

N=length(B);
for k=2:N
   mult=A(k-1)/D(k-1);
   D(k)=D(k)-mult*C(k-1);
   B(k)=B(k)-mult*B(k-1);
end

X(N)=B(N)/D(N);

for k= N-1:-1:1
   X(k)=(B(k)-C(k)*X(k+1))/D(k);
end

